// --------------------------------------------------------------------------------
// Copyright (c) 2005-2007 J.D. Purcell
//
// Permission is hereby granted, free of charge, to any person obtaining a copy of
// this software and associated documentation files (the "Software"), to deal in
// the Software without restriction, including without limitation the rights to
// use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
// the Software, and to permit persons to whom the Software is furnished to do so,
// subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all
// copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
// FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
// COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
// IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
// CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// --------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace VDTimer {
	public partial class frmTimeInput : Form {
		public frmTimeInput(string title) {
			InitializeComponent();
			Program.SetFontAndScaling(this);

			this.Text = title;

			DateTime now = DateTime.Now;
			dtpStart.Value = now;
			dtpStop.Value = now;
		}

		public DateTime StartTime {
			get {
				return dtpStart.Value;
			}
			set {
				dtpStart.Value = value;
			}
		}

		public DateTime StopTime {
			get {
				return dtpStop.Value;
			}
			set {
				dtpStop.Value = value;
			}
		}

		public string Comment {
			get {
				return txtComment.Text;
			}
			set {
				txtComment.Text = value;
			}
		}

		private void btnOK_Click(object sender, EventArgs e) {
			if (StopTime > StartTime) {
				this.DialogResult = DialogResult.OK;
			}
			else {
				MessageBox.Show("Stop time must occur later than the start time.", "Error",
					MessageBoxButtons.OK, MessageBoxIcon.Error);
			}
		}
	}
}